Bug 75069 - Some arcane errors in the description of /etc/sysconfig/clock
Summary: Some arcane errors in the description of /etc/sysconfig/clock
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Tammy Fox
URL: http://www.redhat.com/docs/manuals/li...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-04 03:24 UTC by David Tonhofer
Modified: 2014-03-17 02:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-28 18:44:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Tonhofer 2002-10-04 03:24:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:


we read about /etc/sysconfig/clock:

-----------------------------------------------
Currently, the correct values are: 

UTC=<value>, where <value> is one of the following boolean values: 

   true - Indicates that the clock is set to Universal Time. Any other
          value indicates that it is set to local time. 

ARC=<value>, where <value> is the following: 

  true - Indicates the ARC console's 42-year time offset is in effect.
         Any other value indicates that the normal UNIX epoch is assumed
         (for Alpha-based systems only). 

ZONE=<filename> - Indicates the timezone file under /usr/share/zoneinfo 
   that /etc/localtime is a copy of, such as: 
-----------------------------------------------

But a look at /etc/rc.d/init.d/halt of RH 7.3 teaches us that the
text should be like this:

-----------------------------------------------
Currently, the correct values are: 

UTC=<value>, where <value> is one of the following boolean values: 

   true,yes - Indicates that the **hardware clock** is set to Universal Time.   
   no,false - Indicates that the **hardware clock** is set to Local Time
   
              NOT setting this will cause hwclock to reuse whatever was
              used the last time 'round, and thus is a Bad Idea.

ARC=<value>, where <value> is the following: 

  true - Indicates the ARC console's 42-year time offset is in effect.
         Any other value indicates that the normal UNIX epoch is assumed
         (for Alpha-based systems only). 

SRM=<value>, where <value> is the following: 

  true - Indicates that the SRM 1900 epoch is in effect (Alphas SRM console 
only)

ZONE=<filename> - Indicates the timezone file under /usr/share/zoneinfo
  that /etc/localtime is a copy of, such as: 
-----------------------------------------------


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Go to http://www.redhat.com/docs/manuals/linux/RHL-7.3-Manual/ref-guide/s1-
boot-init-shutdown-sysconfig.html
2. Read

	

Additional info:

Comment 1 Johnray Fuller 2002-10-07 21:03:52 UTC
I will address this this week.

Thank you so much for catching that.

Johnray

Comment 2 Johnray Fuller 2002-10-09 21:44:18 UTC
I have corrected the HTML and posted an errata at the following URL:

http://www.redhat.com/docs/errata/RHL-8.0-Manual/

I am re-assigning this bug to the initscripts package so that the
/usr/share/docs/ can be updated.

Thanks again for your feedback!
Johnray

Comment 3 Bill Nottingham 2002-11-12 06:27:14 UTC
Fixed in CVS, will be in 6.96-1 or later.


Note You need to log in before you can comment on or make changes to this bug.